Subject: Emacs erc-image package is broken?
From: Apoorv <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Sat, 6 Jul 2024 09:13:58 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I had my last home reconfigure in April and I have not been able to update since because multiple packages have been giving me errors when I launch Emacs, including `emacs-erc-image`.

```
Cannot open load file No such file or directory /gnu/store/mfyb9kzkikmmbfi3dfin0panmlbarnb0-emacs-erc-image-0-3.82fb387/share/emacs/site-lisp/erc-image-0-3.82fb387/erc-image-autoloads
```

there is no erc-image-autoloads file, I'm not sure why it it trying to load this file.

there is also this one other error I get,
```
Symbol's value as variable is void: for
```

Running Emacs with `--debug-init` gives me this when this error occurs,
```
Debugger entered--Lisp error: (void-variable for)
  solaire-mode--prepare-for-theme-a(doom-solarized-dark t)
  apply(solaire-mode--prepare-for-theme-a (doom-solarized-dark t))
  load-theme(doom-solarized-dark t)
  load-with-code-conversion("/home/apoorv/.emacs.d/init.el" "/home/apoorv/.emacs.d/init.el" t t)
  load("/home/apoorv/.emacs.d/init" noerror nomessage)
  #f(compiled-function () #<bytecode 0x84e470693faeb10>)()
  #f(compiled-function () #<bytecode -0x4307d7bb01d2857>)()
  handler-bind-1(#f(compiled-function () #<bytecode -0x4307d7bb01d2857>) (error) startup--debug)
  startup--load-user-init-file(#f(compiled-function () #<bytecode 0x1fb1653a8bd7d667>) #f(compiled-function () #<bytecode 0x731968ef8c2999b>) t)
  command-line()
  normal-top-level()
```

If I disable installing any Emacs package via `Guix` and simple rely on `straight` for example everything works fine, so it shouldn't be something in my `init.el`.

-- 
 Sent with Tuta; enjoy secure & ad-free emails: 
 https://tuta.com